Skip to main content

List the users in the scope of a role

GET 

/api/v1/RolesRole/:roleId/SearchAccountEntities

Returns the users, groups and collections that make up the scope of a role, as a page of results that you can filter and sort. This is not the list of role members.

Permission required: Administrator role.

Values for entityType: 0 = ManagedAccount, 1 = ManagedAccountGroup, 2 = Application, 3 = Collection, 4 = Local.

Request​

Responses​

Returns a page of results in data, with the total number of matching rows in recordsTotal.